SCSI_DEVICE_SET_STAT(9)

NAME
scsi_device_set_state - Take the given device through the device state model.

SYNOPSIS

int scsi_device_set_state(struct scsi_device * sdev, enum scsi_device_state state);

ARGUMENTS

sdev
    scsi device to change the state of.

state
    state to change to.

DESCRIPTION

Returns zero if unsuccessful or an error if the requested transition is illegal.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT